# [−] [src] Trait typenum::marker_traits::Bit

    pub trait Bit: Copy + Default {
        const U8: u8;
        const BOOL: bool;

        fn to_u8() -> u8;
        fn to_bool() -> bool;
    }

The marker trait for compile time bits.

This trait should not be implemented for anything outside this crate.

## Associated Constants

### `const U8: u8` [src]

### `const BOOL: bool` [src]

Loading content...

## Required methods

### `fn to_u8() -> u8` [src]

### `fn to_bool() -> bool` [src]

Loading content...

## Implementors

### `impl Bit for B0` [src]

#### `const U8: u8` [src]

#### `const BOOL: bool` [src]

#### `fn to_u8() -> u8` [src]

#### `fn to_bool() -> bool` [src]

### `impl Bit for B1` [src]

#### `const U8: u8` [src]

#### `const BOOL: bool` [src]

#### `fn to_u8() -> u8` [src]

#### `fn to_bool() -> bool` [src]

Loading content...